public static interface NatsEndpointBuilderFactory.NatsBuilders
| Modifier and Type | Method and Description |
|---|---|
default NatsEndpointBuilderFactory.NatsEndpointBuilder |
nats(String path)
Nats (camel-nats)
Send and receive messages from NATS messaging system.
|
default NatsEndpointBuilderFactory.NatsEndpointBuilder |
nats(String componentName,
String path)
Nats (camel-nats)
Send and receive messages from NATS messaging system.
|
default NatsEndpointBuilderFactory.NatsEndpointBuilder nats(String path)
nats:topic
Path parameter: topic (required)
The name of topic we want to usepath - topicdefault NatsEndpointBuilderFactory.NatsEndpointBuilder nats(String componentName, String path)
nats:topic
Path parameter: topic (required)
The name of topic we want to usecomponentName - to use a custom component name for the endpoint
instead of the default namepath - topicApache Camel